ExpandVetoException (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: javax.swing.tree, class: ExpandVetoException
Keywords: javax.swing.tree.ExpandVetoException class

# Class ExpandVetoException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.swing.tree.ExpandVetoException

All Implemented Interfaces:
  `Serializable`

public class ExpandVetoException extends Exception
Exception used to stop an expand/collapse from happening. See How to Write a Tree-Will-Expand Listener in The Java Tutorial for further information and examples.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TreeExpansionEvent`
  `event`
  The event that the exception was created for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpandVetoException(TreeExpansionEvent event)`
  Constructs an ExpandVetoException object with no message.
  `ExpandVetoException(TreeExpansionEvent event, String message)`
  Constructs an ExpandVetoException object with the specified message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### event

    protected TreeExpansionEvent event
    The event that the exception was created for.

- ## Constructor Details

  - ### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event)
    Constructs an ExpandVetoException object with no message.
    Parameters:
      `event` - a TreeExpansionEvent object

  - ### ExpandVetoException

    public ExpandVetoException(TreeExpansionEvent event, String message)
    Constructs an ExpandVetoException object with the specified message.
    Parameters:
      `event` - a TreeExpansionEvent object
      `message` - a String containing the message